Bug 98601 - new port devel/lasi
Summary: new port devel/lasi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-06 22:10 UTC by giffunip
Modified: 2006-06-10 18:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.40 KB, text/plain)
2006-06-06 22:10 UTC, giffunip
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2006-06-06 22:10:18 UTC
This is a port of LASi, a library that supports generating postscript documents. I ported it because it can be used by math/plplot.
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-08 01:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-08 01:57:41 UTC
State Changed
From-To: open->feedback

Did you test this port before submitting: 
http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=697 
?
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-08 10:49:54 UTC
State Changed
From-To: feedback->open

new patch received
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-09 12:21:00 UTC
On Thu, 8 Jun 2006 07:14:14 +0200 (CEST)
<pfgshield-freebsd@yahoo.com> wrote:

> Hi again;
> 
> Please try this tarball: I'm not sure it will work (it works here though) but
> it should be cleaner. If it fails again try USE_GMAKE


The problem is that on FreeBSD we have:
/usr/local/libdata/pkconfig/
not:
/usr/local/lib/pkconfig/

Please send a patch to correct this problem.


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #23:
improperly oriented keyboard

Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-09 12:21:27 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 6 Pedro F. Giffuni 2006-06-09 16:22:25 UTC
Hello;

I am confused: the last tarball, that I sent in private, solved this problem
with patch-Makefile.in, also the pkg-plist includes libdata/pkgconfig/lasi.pc

I am attaching the shar file again:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	lasi
#	lasi/Makefile
#	lasi/distinfo
#	lasi/pkg-descr
#	lasi/files
#	lasi/files/patch-Makefile.in
#	lasi/pkg-plist
#
echo c - lasi
mkdir -p lasi > /dev/null 2>&1
echo x - lasi/Makefile
sed 's/^X//' >lasi/Makefile << 'END-of-lasi/Makefile'
X# New ports collection makefile for:	lasi
X# Date created:		June 2006
X# Whom:			giffunip
X#
X# $FreeBSD$
X#
X
XPORTNAME=	lasi
XPORTVERSION=	1.0.4
XCATEGORIES=	devel
XMASTER_SITES=	http://eyegene.ophthy.med.umich.edu/lasi/download/
X
XMAINTAINER=	giffunip@asme.org
XCOMMENT=	C++ stream output interface for creating Postscript documents
X
XUSE_GCC=	3.4+
XUSE_GNOME=	pango pkgconfig
XUSE_AUTOTOOLS=	libltdl:15
XGNU_CONFIGURE=	yes
XPKG_CONFIG_PATH=	${PREFIX}/libdata/pkgconfig
XCONFIGURE_ENV+=	PKG_CONFIG_PATH=${PKG_CONFIG_PATH}
X
XINSTALLS_SHLIB=	yes
X
X.include <bsd.port.mk>
END-of-lasi/Makefile
echo x - lasi/distinfo
sed 's/^X//' >lasi/distinfo << 'END-of-lasi/distinfo'
XMD5 (lasi-1.0.4.tar.gz) = ed6016995aaa5649fde2bbf7b1224be8
XSHA256 (lasi-1.0.4.tar.gz) =
7cffcdf9d639b3637614c6d24780a4ab2dcc9e8a6573f67d768a6521c3f4dd35
XSIZE (lasi-1.0.4.tar.gz) = 481554
END-of-lasi/distinfo
echo x - lasi/pkg-descr
sed 's/^X//' >lasi/pkg-descr << 'END-of-lasi/pkg-descr'
XLASi
X________
XlibLASi is a library written by Larry Siden  that provides a C++ stream
Xoutput interface ( with operator << ) for creating Postscript documents 
Xthat can contain characters from any of the scripts and symbol blocks
Xsupported in Unicode  and by Owen Taylor's Pango layout engine. The
Xlibrary accomodates right-to-left scripts such as Arabic and Hebrew as
Xeasily as left-to-right scripts. Indic and Indic-derived Complex Text
XLayout (CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are
Xsupported to the extent provided by Pango and by the OpenType fonts
Xinstalled on your system. All of this is provided without need for any
Xspecial configuration or layout calculation on the programmer's part.
X
XWWW:	http://eyegene.ophthy.med.umich.edu/lasi/
END-of-lasi/pkg-descr
echo c - lasi/files
mkdir -p lasi/files > /dev/null 2>&1
echo x - lasi/files/patch-Makefile.in
sed 's/^X//' >lasi/files/patch-Makefile.in <<
'END-of-lasi/files/patch-Makefile.in'
X--- Makefile.in.orig	Thu Jun  8 00:04:11 2006
X+++ Makefile.in	Thu Jun  8 00:05:26 2006
X@@ -140,7 +140,7 @@
X SUBDIRS = src
X include_HEADERS = include/LASi.h
X 
X-pkgconfigdir = $(libdir)/pkgconfig
X+pkgconfigdir = ${exec_prefix}/libdata/pkgconfig
X pkgconfig_DATA = lasi.pc
X subdir = .
X ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
END-of-lasi/files/patch-Makefile.in
echo x - lasi/pkg-plist
sed 's/^X//' >lasi/pkg-plist << 'END-of-lasi/pkg-plist'
Xinclude/LASi.h
Xlib/libLASi.a
Xlib/libLASi.so
Xlib/libLASi.so.0
Xlibdata/pkgconfig/lasi.pc
END-of-lasi/pkg-plist
exit



---
     Pedro F. Giffuni
     M. Sc. Industrial Eng. University of Pittsburgh
     Mech. Eng.      Universidad Nacional de Colombia
---
Yahoo is powered by FreeBSD    http://www.FreeBSD.org/

Chiacchiera con i tuoi amici in tempo reale! 
 http://it.yahoo.com/mail_it/foot/*http://it.messenger.yahoo.com
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-10 18:30:34 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!